Send test webhook
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test \
--header 'Authorization: Bearer <token>'{
"success": true,
"status_code": 123,
"duration_ms": 123,
"error": "blocked_address"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Send test webhook
Send a test event to verify the endpoint is reachable.
POST
/
v1
/
platforms
/
me
/
webhooks
/
{endpoint_id}
/
test
Send test webhook
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/test \
--header 'Authorization: Bearer <token>'{
"success": true,
"status_code": 123,
"duration_ms": 123,
"error": "blocked_address"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Auth0 JWT access token. See Authentication for details.
Path Parameters
Response
Successful Response
What one delivery to the endpoint would do, reported rather than
refused: a receiver KeyStone will not send to answers 200 with
success false and error naming why.